Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event
Class InternalTaskEventListener

    java.lang.Object
      org.jbpm.task.event.DefaultTaskEventListener
          org.jbpm.task.event.InternalTaskEventListener

All Implemented Interfaces:
  EventListener, TaskEventListener

    public class InternalTaskEventListener

extends DefaultTaskEventListener

Constructor Summary
`InternalTaskEventListener(TaskServiceSession session)`

Method Summary
`void` | `taskClaimed(TaskUserEvent event)`
`void` | `taskCompleted(TaskUserEvent event)`
`void` | `taskFailed(TaskUserEvent event)`
`void` | `taskSkipped(TaskUserEvent event)`

Methods inherited from class org.jbpm.task.event.DefaultTaskEventListener
`taskCreated, taskForwarded, taskReleased, taskStarted, taskStopped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalTaskEventListener

    public InternalTaskEventListener(TaskServiceSession session)

Method Detail

### taskClaimed

    public void taskClaimed(TaskUserEvent event)

  Specified by:
    `taskClaimed` in interface `TaskEventListener`
  Overrides:
    `taskClaimed` in class `DefaultTaskEventListener`

### taskCompleted

    public void taskCompleted(TaskUserEvent event)

  Specified by:
    `taskCompleted` in interface `TaskEventListener`
  Overrides:
    `taskCompleted` in class `DefaultTaskEventListener`

### taskFailed

    public void taskFailed(TaskUserEvent event)

  Specified by:
    `taskFailed` in interface `TaskEventListener`
  Overrides:
    `taskFailed` in class `DefaultTaskEventListener`

### taskSkipped

    public void taskSkipped(TaskUserEvent event)

  Specified by:
    `taskSkipped` in interface `TaskEventListener`
  Overrides:
    `taskSkipped` in class `DefaultTaskEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.